# Compaq ACMS for OpenVMS
Managing Applications

Previous | Contents | Index

## 10.2.2 Supplying Variable Values for ACMSPARAM.COM

ACMSPARAM.COM requires initial variables to calculate the OpenVMS and ACMS system parameter and process quota values needed to run ACMS efficiently. Section 10.2.1 explains how to run ACMSPARAM.COM, including when to use INITIAL or FEEDBACK mode. This section offers more detail on how you and the ACMS system gather the information needed by ACMSPARAM.COM.

The variable values come from two types of sources:

- Fixed information from ACMS files, such as task size, number of controlled terminals, and number of .MDB and .RLB files. This information comes from sources such as .ADB, .TDB, ACMSUDF.DAT, and ACMSDDF.DAT files.

  Note ACMSPARAM.COM does not support logical name search lists for TDB file specifications.

  The two ways to supply the information from the ACMS files are:
  - The GENVAR phase of ACMSPARAM.COM obtains information from the ACMS database files, calculates values based on this information, and places variable values into ACMSVAR.DAT. ACMSVAR.DAT is the input file for the GENPAR phase.
  - Create and edit ACMVARINI.DAT to include values that you manually calculate for variables based on the fixed information in ACMS files. Any such variables in ACMVARINI.DAT override values collected from database files in GENVAR.
- Dynamic information from the running ACMS system, such as the number and size of the .ADB files of concurrently running applications on the current or remote nodes, or the number of concurrently active remote and local users. This information comes from the running processes, as well as from .ADB database files.
  There are three ways to gather the variables used to calculate the parameter and quota values based on the running ACMS system:
  - Run ACMSPARAM.COM in INITIAL mode. ACMSPARAM.COM prompts you for values for any variables related to the running system that are not in ACMVARINI.DAT, the GENVAR input file. See Section 10.2.1 for details about running ACMSPARAM.COM in INITIAL mode.
  - Run the SYS$MANAGER:ACMS$MONITOR.COM procedure and then run the ACMSPARAM.COM procedure in FEEDBACK mode. ACMS$MONITOR.COM monitors the running ACMS system to collect the most accurate variables, and places the values in ACMS$FEEDBACK.DAT. See Section 10.2.2.1 for details about the monitor. When you run ACMSPARAM.COM in the default FEEDBACK mode, ACMSPARAM.COM uses any variables in ACMS$FEEDBACK.DAT that do not exist in ACMVARINI.DAT. See Section 10.2.1 for details about running ACMSPARAM.COM in FEEDBACK mode.
  - Create and edit ACMVARINI.DAT to enter values for the variables based on the running ACMS sytem. Any such variables in ACMVARINI.DAT override the corresponding variable values placed in ACMS$FEEDBACK.DAT for use by the FEEDBACK mode, or gathered by prompts in INITIAL mode.
    Section 10.2.2.2 describes the creation, editing, and use of ACMVARINI.DAT.

### 10.2.2.1 Supplying Variables with ACMS$MONITOR.COM

ACMS$MONITOR.COM periodically examines the running ACMS system and collects current, average, and peak values for ACMS process quotas and ACMS system load. Run ACMS$MONITOR.COM long enough to gather information about the normal workload. It is recommended that the procedure run at least 24 hours to gather accurate information. Then run ACMSPARAM.COM in the default FEEDBACK mode. See Section 10.2.1 for details about running ACMSPARAM.COM in FEEDBACK mode.

Run SYS$MANAGER:ACMS$START_MONITOR.COM to initialize and submit ACMS$MONITOR.COM to batch. To run ACMS$START_MONITOR, you must use an account that has the following default privileges: TMPMBX, NETMBX, WORLD, and SYSPRV. It is recommended that you set the CLISYMTBL system parameter to the maximum value with the OpenVMS SYSGEN utility when you run ACMS$MONITOR.COM on your system. ACMS$START_MONITOR.COM prompts you for the batch queue on which ACMS$MONITOR.COM runs. You must enter a queue that is on the current node, because the monitor must run on the same node as the start procedure.

ACMS$START_MONITOR.COM prompts for parameters that determine the configuration of ACMS$MONITOR.COM. After you answer the prompts, ACMS$START_MONITOR.COM displays the user input and asks if you are satisfied. If you are not satisfied with the input, the procedure offers the choice of continuing or quitting. If you continue, the procedure repeats all the questions; otherwise, the procedure ends. Once you are satisfied with the input, ACMS$START_MONITOR.COM writes the answers to SYS$MANAGER:ACMS$MONITOR_INIT.DAT. ACMS$START_MONITOR.COM creates ACMS$MONITOR_INIT.DAT the first time it runs, supplying default answers for the prompts. Thereafter, the values supplied by the user are stored in ACMS$MONITOR_INIT.DAT and become the defaults for the next running of ACMS$START_MONITOR.COM.

ACMS$MONITOR.COM stops automatically at the time specified by the END_TIME parameter. You can stop ACMS$MONITOR.COM before that time by running SYS$MANAGER:ACMS$STOP_MONITOR.COM, regardless of the END_TIME parameter value. Table 10-2 describes the ACMS$START_MONITOR.COM parameters.

Table 10-2 ACMS$START_MONITOR.COM Parameters
Parameter
INTERVAL
| Description: | The sampling interval between data collection events, specified in minutes.
| Default: | 15 minutes
START_TIME
| Description: | The time that ACMS$MONITOR begins running, specified as absolute time, delta time, or a combination.
| Default: | Immediately
END_TIME
| Description: | The time that ACMS$MONITOR stops running, specified as absolute time, delta time, or a combination.
| Default: | The monitor runs until stopped by the user by running ACMS$STOP_MONITOR.COM.
QUEUE
| Description: | The batch queue on which ACMS$MONITOR is entered.
| Default: | node$BATCH
REPORT_MAIL_USERNAME
| Description: | User name to receive mail containing the parameter/quota warning reports generated by ACMS$MONITOR when ACMS system parameters or process quotas approach the limits set by QUOTA_THRESHOLD and POOL_THRESHOLD.
| Default: | SYSTEM
REPORT_FREQUENCY
| Description: | The interval at which the warning report is mailed: Once every 24 hours (if the threshold was exceeded during the 24 hours) at a time specified by the user, or immediately at every data collection event during which the threshold was exceeded. Enter either DAILY or IMMEDIATELY at the prompt.
| Default: | IMMEDIATELY
REPORT_SEND_TIME
| Description: | The time that the daily report is mailed, if you choose the daily option for REPORT_FREQUENCY. The report is mailed only if any quotas or pools exceeded their thresholds in the previous 24 hours.
| Default: | 08:00
QUOTA_THRESHOLD
| Description: | Highest percentage of a quota that can be used before the application manager is notified of a possible resource shortage. The threshold must be an integer between 1 and 100, inclusive.
| Default: | 80
POOL_THRESHOLD
| Description: | Highest percentage of used bytes in a pool that can be used before the application manager is notified of a possible resource shortage. The threshold must be an integer between 1 and 100, inclusive.
| Default: | 80

Once ACMS$MONITOR.COM starts, it collects information at the interval specified by ACMS$START_MONITOR.COM in ACMS$MONITOR_INIT.DAT. ACMS$MONITOR.COM stores information in three files:

- SYS$MANAGER:ACMS$FEEDBACK.DAT
  This file contains the information about the running ACMS system for ACMSPARAM.COM, such as the number and size of concurrently running applications, and the number of concurrent local and remote users. This is the same information supplied by the user if you use ACMSPARAM.COM in INITIAL mode. See Section 10.2.1 for a full description of this information.
- SYS$MANAGER:ACMS$MONITOR_STATS.TXT
  For each ACMS process, this report provides the following information:
  - Process name, including a string that identifies it as one of the following types: ACC, TSC, QTI, CP, ATL, EXC, SP, ACMS_SWL
  - Process user name
  - Process ID
  - Application name (for EXC)
  - SYSUAF quota name, quota limit, current quota value, used quota percentage, quota usage average, and quota usage peak for these quotas: PRCLM, FILLM, BIOLM, DIOLM, ASTLM, TQLM, ENQLM, BYTLM, PGFLQUOTA, WSEXTENT
  - Workspace pool name, pool size, used bytes, used bytes percentage and average, and the peak bytes used for the task instance and group and user workspace pools: WSC_POOLSIZE, WS_POOLSIZE, TWSC_POOLSIZE, and TWS_POOLSIZE.
  Report supplies the following information for the ACMS message switch shared and process pools:
  - MSS pool name
  - Pool size
  - Current bytes used
  - Used byte percentage
  - Average bytes used
  - Peak bytes used
  The report lists the current, average, and peak:
  - Number of remote nodes
  - Number of concurrently active applications
  - Value for the sum of the sizes of concurrently active applications
  - Number of concurrent local users
  - Number of concurrent remote users
- SYS$MANAGER:ACMS$MONITOR_WARNING.TXT
  ACMS$MONITOR.COM calculates the pool and quota usage for the ACMS system and application. If the used byte percentage is greater than specified in the POOL_THRESHOLD parameter, the procedure writes the information to the warning report. Similarly, if the quota usage is greater than specified in the QUOTA_THRESHOLD parameter, the procedure issues a warning.
  When ACMS$MONITOR.COM issues a warning report, run ACMSPARAM.COM again to recalculate the system parameters. A warning report is created when:
  - A change to the ACMS system requires that ACMSPARAM.COM be rerun to update the variable information.
  - Pool or quota thresholds are exceeded, even if ACMSPARAM.COM correctly calculated the required values. In this case, if you are sure that the calculation is correct, increase the threshold so that you no longer get reports. If you believe that the calculation is incorrect, increase the parameter or quota manually: use AUTHORIZE to increase a process quota, or specify a higher value for the parameter in ACMVARINI.DAT. Then run all phases of ACMSPARAM.COM. Rerunning ACMSPARAM.COM with higher values may cause other parameters and quotas to be raised. Note that ACMSPARAM.COM never lowers a value for a process quota or an OpenVMS system parameter; however, it may lower an ACMS system parameter.
  If any parameters or quotas are in danger of being exceeded, ACMS$MONITOR.COM mails a report to the user name set in the REPORT_MAIL_USERNAME parameter. The procedure issues the warning report as specified in the REPORT_FREQUENCY parameter of ACMS$START_MONITOR.COM (DAILY or IMMEDIATELY).
  For quotas that exceed QUOTA_THRESHOLD, the following are reported:
  - Process name, process ID, and process user name
  - Quota name
  - Current quota value
  - Quota limit
  - Percentage of quota limit that is used
  For pool parameters that exceed POOL_THRESHOLD, the following are reported:
  - Process name, process ID, and process user name
  - Pool parameter name
  - Current poolsize value
  - Application name (for EXC processes)
  - Poolsize limit
  - Percentage of poolsize limit used

### 10.2.2.2 Editing ACMVARINI.DAT to Supply Variables to ACMSPARAM.COM

Normally, you run ACMSPARAM.COM in INITIAL or FEEDBACK mode to gather variable values for calculating parameters and quotas. If you use INITIAL mode, the variable values for which you are prompted are used directly in GENVAR phase. If you use FEEDBACK mode, the variable values that are stored in ACMS$FEEDBACK.DAT are used by the GENVAR phase.

However, you can create ACMVARINI.DAT and edit in variable values to override values otherwise gathered by INITIAL mode or FEEDBACK mode (or gathered in the GENVAR phase from the ACMS database files). If the ACMVARINI.DAT file does not exist, you can create and modify it by following these steps:

1. On an active ACMS system, set your default to SYS$MANAGER and run the GENVAR phase of ACMSPARAM.COM:

       $ @ACMSPARAM.COM GENVAR

   This command creates the file ACMSVAR.DAT that has ACMS default values assigned to all of the variables shown in Table 10-3. The table contains the variable names and their descriptions.
2. Rename ACMSVAR.DAT, the file containing the variable values, to ACMVARINI.DAT:

       $ RENAME ACMSVAR.DAT ACMVARINI.DAT

3. When the GENVAR phase creates the ACMSVAR.DAT file in step 1, it includes all the variables listed in Table 10-3 and generates a default value for each. It is recommended that you delete any variables whose value you do not need to change.

Example 10-1 shows an edited ACMVARINI.DAT file. Each line in the figure contains a new value. All other lines have been deleted. When you edit ACMVARINI.DAT, you can also include variables that map directly to ACMSGEN parameters but are not used by ACMSPARAM.COM to calculate the parameters. The following ACMSGEN parameters are not calculated by ACMSPARAM.COM:

> ACC_PRIORITY
> TSC_PRIORITY
> CP_PRIORITY
> QTI_PRIORITY
> PERM_CPS
> MIN_CPIS
> USERNAME_DEFAULT
> NODE_NAME
> MSS_NET_RETRY_TIMER
> QTI_POLLING_TIMER
> QTI_SUB_TIMEOUT
> QTI_RETRY_TIMER

Although the ACMSPARAM.COM procedure does not need these parameters to perform its calculations, ACMSPARAM.COM propagates these parameters through the GENVAR and GENPAR phases and set them in the WRITEPAR phase.

Example 10-1 Modified Variable Values in the ACMVARINI.DAT File

    APPL_CNT = 10
    TERMINAL_CNT = 64
    ADB_BLKS = 48 + 3 + 12 + 9
    TDB_CNT = 12 + 2 + 3 + 2
    TDB_BLKS = 400+ (15 + 45) + (15 + 45 + 33) + (15 + 27)
    CONTROLLED_TERMINAL_CNT = 0
    APPL_NAME := payroll

Table 10-3 describes the variables listed in a complete ACMVARINI.DAT file and required by ACMSPARAM.COM. The table lists the SYSGEN parameters and ACMS process quotas whose calculations are affected, in part or in whole, by these variables when used by ACMSPARAM.COM.

Table 10-3 also lists the ACMSGEN parameters corresponding to the variables in ACMVARINI.DAT. You can set these parameters independently in ACMSGEN. However, it is advisable to use ACMSPARAM.COM to set these parameters, because the command procedure automatically modifies any other parameters relating to the parameters you changed.

For most variables, ACMSPARAM.COM obtains an accurate value from feedback, user answers, or the ACMS database files. However, some variables cannot be calculated automatically, so they are given a reasonable default value which is accurate for an average system. After running the GENVAR phase, check the ACMSVAR.DAT file to verify that the values are accurate for your system. If the defaults do not accurately reflect your system, edit ACMVARINI.DAT and rerun ACMSPARAM.COM. The variables for which neither INITIAL nor FEEDBACK supplies a value are:

> ACC_USERNAME
> AGENT_CNT
> CP_USERNAME
> CP_PROC_CNT
> DBMS_SERVER_CNT

> DEBUGGER_CNT
> OPERATOR_CNT
> REMOTE_AGENT_CNT
> QTI_USERNAME
> TSC_USERNAME

Table 10-3 Variables Required for ACMSPARAM.COM
Variable
ACC_USERNAME
| Description: | Maps to the ACMSGEN parameter which defines the OpenVMS username of the ACMS Central Controller (ACC). The name must be enclosed in quotes or be assigned the DCL string operator ":=".
| Default: | ACMS$ACC
| Affects: | ACMSGEN parameter ACC_USERNAME
|  | ACC user name entry in the system authorization file
ADB_BLKS
| Description: | Total size in blocks of the application database (.ADB) files of applications in use at the same time on the local system.
| Default: | Feedback data, or total size of .ADB files for applications listed in APPL_NAME.
| Affects: | SYSGEN parameter GBLPAGES
AGENT_CNT
| Description: | Number of agent processes other than the ACMS Command Process (CP) and the QTI running on the local node. This includes the number of ALL-IN-1 processes selecting tasks in ACMS applications, the number of Request Interface (RI) agents, the number of EXCs executing detached tasks, and any customer-supplied agents.
| Default: | 2
| Affects: | ACMSGEN parameter MSS_MAXOBJ
AGENT_SUB_CNT
| Description: | Number of users selecting tasks in ACMS applications from agent processes other than the ACMS Command Process (CP) and the QTI. This includes users selecting tasks in ACMS applications from ALL-IN-1, from Request Interface (RI) agents, and from any customer-supplied agents. This also includes the number of detached tasks executing at any one time.
| Default: | 10
| Affects: | ACMSGEN parameter MSS_MAXOBJ
APPL_CNT
| Description: | Maps to the ACMSGEN parameter which defines the maximum number of applications started on the local system at one time.
| Default: | Feedback data, or number of applications listed in APPL_NAME
| Affects: | ACMSGEN parameters MAX_APPL and MSS_MAXOBJ
|  | SYSGEN parameter GBLSECTIONS
|  | ACC process quotas FILLM and PGFLQUOTA
APPL_NAME
| Description: | Names of the applications started on the local system. Supply the APPL_NAME variable once for each application that will be started on the local system. The application name must be enclosed in quotes or be assigned using the DCL string operator ":=".
| Default: | Feedback data, or names of applications prompted for in INITIAL mode.
| Affects: | ACMSGEN parameters MAX_APPL and MSS_MAXOBJ
|  | SYSGEN parameter GBLSECTIONS
|  | ACC process quotas FILLM and PGFLQUOTA
CONTROLLED_TERMINAL_CNT
| Description: | Number of terminals defined as ACMS-controlled in the ACMS Device Definition file (ACMSDDF.DAT).
| Default: | Number of terminals defined as ACMS-controlled in the ACMS Device Definition file (ACMSDDF.DAT).
| Affects: | SYSGEN parameter CHANNELCNT
|  | TSC process quota FILLM
CP_PROC_CNT
| Description: | Maps to the ACMSGEN parameter which defines the maximum number of terminal user command processes (CPs) that can be started on the system at one time.
| Default: | TERMINAL_CNT/TERMINALS_PER_CP
| Affects: | ACMSGEN parameters CP_SLOTS and MSS_MAXOBJ
|  | SYSGEN parameter LOCKIDTBL and CHANNELCNT
|  | TSC process quota TQELM
CP_USERNAME
| Description: | Maps to the ACMSGEN parameter which defines the OpenVMS user name of the ACMS Command Process (CP). The name must be enclosed in quotes or be assigned using the DCL string operator ":=".
| Default: | ACMS$CP
| Affects: | ACMSGEN parameter CP_USERNAME
|  | CP user name entry in the system authorization file
DEBUGGER_CNT
| Description: | The maximum number of developers debugging task groups at the same time
| Default: | 5
| Affects: | ACMSGEN parameter MSS_MAXOBJ
|  | SYSGEN parameters CHANNELCNT, GBLPAGES, GBLPAGFIL, GBLSECTIONS
DEBUG_TDB_BLKS
| Description: | Total size in blocks of task group database files (.TDB) that can be debugged by developers at one time.
| Default: | (Size of largest .TDB * DEBUGGER_CNT)
| Affects: | SYSGEN parameter GBLPAGES
DYN_SP_CNT
| Description: | The maximum number of server processes having DYNAMIC USERNAME that can be started on the local system at any one time.
| Default: | 2 * APPL_CNT
| Affects: | SYSGEN parameter LOCKIDTBL
ENTERED_TERMINAL_CNT
| Description: | Total number of terminals signing in to ACMS with ACMS/ENTER.
| Default: | TERMINAL_CNT - CONTROLLED_TERMINAL_CNT
| Affects: | SYSGEN parameter CHANNELCNT
|  | TSC process quota TQELM
ESC_RTN_IMAGE_CNT
| Description: | Number of all DECforms escape routine images used by all local applications.
| Default: | 5
| Affects: | SYSGEN parameter CHANNELCNT
|  | CP process quota FILLM
FORM_BLKS
| Description: | The total size in blocks of DECforms form files used by applications started on the local system or accessed remotely at any one time. This includes both .FORM files and .EXE files containing forms. Add the size of a form file once for each different application that refers to it.
| Default: | Size of .FORM and .EXE form files referred to by local applications, plus the size of .FORM and .EXE form files in ACMS$FORM_CACHE.
| Affects: | CP process quota PGFLQUOTA
FORM_CNT
| Description: | The total number of DECforms form files used by applications started on the local system or accessed remotely at any one time. This includes .FORM files and .EXE files containing forms. Count a form file once for each different application that refers to it.
| Default: | Number of .FORM and .EXE form files referred to by local applications, plus the number of .FORM and .EXE form files in ACMS$FORM_CACHE.
| Affects: | SYSGEN parameter CHANNELCNT
|  | CP process quota FILLM
FORM_TRACE_FILE_CNT
| Description: | Number of concurrently active DECforms trace files.
| Default: | FORM_CNT
| Affects: | SYSGEN parameter CHANNELCNT
LARGEST_MESSAGE
| Description: | Size of the largest message sent from an application to the local CP (or other agent) during exchange step processing. LARGEST_MESSAGE differs from MSS_MAXBUF in that it includes only the workspace data portion of the message. If the applications are not distributed, do not use the Request Interface (RI); and use only TDMS request I/O, then LARGEST_MESSAGE is not required.
| Default: | Largest message used on any exchange step in the application (determined from ADU DUMP GROUP).
| Affects: | ACMSGEN parameter MSS_MAXBUF
|  | CP process quota PGFLQUOTA
LARGEST_MESSAGE_NUM_WKSP
| Description: | Number of workspaces passed in the largest remote request message.
| Default: | Number of workspaces passed in the exchange step with the largest message.
| Affects: | ACMSGEN parameter MSS_MAXBUF
MDB_BLKS
| Description: | Total size (in blocks) of all the different menu database (.MDB) files in use at one time. This includes the default menu database (ACMS.MDB), the ACMS command menu database (ACMSCMD.MDB), and all site-defined menu databases.
| Default: | Sum of the sizes of all menu databases referred to in the ACMS User Definition file (ACMSUDF.DAT), plus the sizes of ACMS.MDB and ACMSCMD.MDB.
| Affects: | SYSGEN parameter GBLPAGES
|  | CP process quota PGFLQUOTA
MDB_CNT
| Description: | Total number of all the different menu database (.MDB) files in use at one time. This includes the default menu database (ACMS.MDB), the ACMS command menu database (ACMSCMD.MDB), and all site-defined menu databases.
| Default: | Number of menu databases referred to in the ACMS User Definition file (ACMSUDF.DAT), plus ACMS.MDB and ACMSCMD.MDB.
| Affects: | SYSGEN parameter GBLSECTIONS
|  | ACC process quota FILLM
MSS_MAXBUF
| Description: | Maps to the ACMSGEN parameter which defines the largest message that can be sent between ACMS processes without incurring message blocking. Message blocking can have an adverse affect on performance, especially on distributed systems.
| Default: | Calculated value (see Appendix A)
| Affects: | ACMSGEN parameters MSS_MAXBUF, MSS_POOLSIZE, and MSS_PROCESS_POOL
|  | ACC, CP, and QTI process quotas BYTLM and PGFLQUOTA
MSS_MAXOBJ
| Description: | The maximum number of message switch objects that can be created on the system at one time. Message switch objects are used for communications between ACMS processes. There are a number of message switch objects for each ACMS process, plus one message switch object for each ACMS task submitter.
| Default: | Calculated value (see Appendix A)
| Affects: | ACMSGEN parameter MSS_MAXOBJ and MSS_POOLSIZE
MSS_PROCESS_POOL
| Description: | Maps to the ACMSGEN parameter MSS_PROCESS_POOL which defines the size of the communication pool used in each ACMS process. The MSS process pool is used for sending and receiving messages in both local and remote communications. The required value of MSS_PROCESS_POOL depends on the amount of ACMS activity on the system.
| Default: | Calculated value (see Appendix A)
| Affects: | ACMSGEN parameter MSS_PROCESS_POOL
|  | ACC, CP, TSC, and QTI process quota PGFLQUOTA
MSS_SHARED_POOL
| Description: | Maps to the ACMSGEN parameter MSS_POOLSIZE which defines the size of the MSS shared pool global section. The MSS shared pool is used for sending and receiving messages in local communications. The required value of MSS_POOLSIZE depends on the amount of ACMS activity on the system.
| Default: | Calculated value (see Appendix A)
| Affects: | ACMSGEN parameter MSS_POOLSIZE
|  | SYSGEN parameters GBLPAGES and GBLPAGFIL
OPERATOR_CNT
| Description: | Number of users issuing ACMS operator commands (such as ACMS/SHOW, ACMS/START, and so forth) at the same time.
| Default: | 5
| Affects: | ACMSGEN parameter MSS_POOLSIZE and MSS_MAXOBJ
|  | ACC process quota ASTLM
OPR_ENTER_RETURN_CNT
| Description: | Number of users who entered ACMS using the ACMS/ENTER/RETURN command, which is the default command to enter ACMS. In other words, the user did not type ACMS/ENTER/NORETURN.
| Default: | 5
| Affects: | ACMSGEN parameter MSS_MAXOBJ
QTI_MAX_WSP_SIZE
| Description: | The largest value associated with the ACMSQUEMGR qualifier /MAX_WORKSPACES_SIZE for all queues started on the local system. QTI_MAX_WSP_SIZE is used to calculate appropriate process quotas for the ACMS Queued Task Initiator (QTI).
| Default: | Largest value defined for a queue in the ACMS Queue Definition File (ACMSQDF.DAT), or 512 if no queues are defined.
| Affects: | QTI process quota PGFLQUOTA
QTI_QUEUES
| Description: | The maximum number of queues and error queues active on the local system at the same time. QTI_QUEUES is used to calculate appropriate process quotas for the ACMS Queued Task Initiator (QTI).
| Default: | Total number of queues defined in the ACMS Queue Definition File (ACMSQDF.DAT), or 3 if no queues are defined.
| Affects: | SYSGEN parameter LOCKIDTBL
|  | QTI process quotas ASTLM, BYTLM, ENQLM, FILLM, PGFLQUOTA
QTI_SUBMITTERS
| Description: | The maximum number of task submitters signed in to ACMS by the ACMS Queued Task Initiator (QTI) at any one time. Set QTI_SUBMITTERS to the maximum number of different user names enqueuing tasks to active queues.
| Default: | Feedback data, or 10
| Affects: | ACMSGEN parameter MSS_MAXOBJ
|  | QTI process quotas ASTLM and PGFLQUOTA
QTI_TASK_THDS
| Description: | The maximum number of concurrent active tasks that will be processed by the ACMS Queued Task Initiator (QTI). Set QTI_TASK_THDS to the sum of task threads specified on the /TASK_THREADS qualifier for all active queues.
| Default: | Feedback data or 3
| Affects: | SYSGEN parameter LOCKIDTBL
|  | QTI process quotas ASTLM, BIOLM, DIOLM, ENQLM, PGFLQUOTA, TQELM, WSDEFAULT, WSQUOTA, and WSEXTENT
QTI_USERNAME
| Description: | Maps to the ACMSGEN parameter which defines the OpenVMS user name of the ACMS Queued Task Initiator (QTI). The name must be enclosed in quotes or be assigned using the DCL string operator ":=".
| Default: | ACMS$QTI
| Affects: | ACMSGEN parameter QTI_USERNAME
|  | QTI user name entry in the system authorization file
REMOTE_AGENT_CNT
| Description: | Number of remote agent processes submitting tasks to applications running on the local system at any one time. This includes both ACMS Command Processes (CPs) and any other agents (RI, ALL-IN-1, user-written) submitting tasks from remote systems.
| Default: | 2 * APPL_CNT
| Affects: | SYSGEN parameter MSS_PROCESS_POOL
REMOTE_APPL_CNT
| Description: | Number of applications running on remote systems in which task submitters on this node select tasks.
| Default: | Feedback data, or number of remote applications listed in REMOTE_APPL_NAME.
| Affects: | ACMSGEN parameter MSS_PROCESS_POOL
|  | ACC process quota ASTLM, FILLM, and PGFLQUOTA; CP process quotas ASTLM, FILLM, BIOLM, and BYTLM; QTI process quotas FILLM and BYTLM
REMOTE_APPL_NAME
| Description: | Names of the applications on remote systems in which task submitters on this node select tasks. Supply the REMOTE_APPL_NAME variable once for each application that will be accessed remotely from the local system. Specify applications using the form <node-name>::<application-name>. The name must be enclosed in quotes or be assigned using the DCL string operator ":=".
| Default: | Feedback date, or user-supplied names of remote applications.
| Affects: | None directly (used to generate REMOTE_APPL_CNT and REMOTE_NODE_CNT variables)
REMOTE_NODE_CNT
| Description: | Number of remote ACMS systems that access the local ACMS system, or are accessed by the local ACMS system. This includes remote systems running applications that are accessed from the local system, and remote systems accessing applications running on the local system.
| Default: | Feedback data, or number of unique remote node names from REMOTE_APPL_NAME.
| Affects: | ACC process quotas ASTLM, BYTLM, BIOLM, FILLM, and PGFLQUOTA
REMOTE_RLB_BLKS
| Description: | Total size (in blocks) of request library (.RLB) files used by applications accessed remotely from the local system at any one time. Add the size of a request library once for each different remote application that references it.
| Default: | Feedback data, or the size of .RLB files in ACMS$RLB_CACHE.
| Affects: | CP process quota PGFLQUOTA
REMOTE_RLB_CNT
| Description: | Total number of request library (.RLB) files used by applications accessed remotely from the local system at any one time. Count a request library once for each different remote application that references it.
| Default: | Feedback data, or the number of .RLB files in ACMS$RLB_CACHE.
| Affects: | SYSGEN parameter CHANNELCNT
|  | CP process quota FILLM
REMOTE_SUB_CNT
| Description: | Number of submitters on remote systems who will be selecting tasks in applications running on the local system.
| Default: | REMOTE_NODE_CNT * 20
| Affects: | ACMSGEN parameters WSC_POOLSIZE and WS_POOLSIZE
|  | SYSGEN parameter CHANNELCNT
|  | ACC process quotas ASTLM and BYTLM
RLB_CNT
| Description: | Total number of request library (.RLB) files used by applications started on the local system at any one time. Count a request library once for each different application that references it. (Formerly EXC_RLB_CNT)
| Default: | Number of .RLB files referenced by task groups in local applications (from ADU DUMP GROUP).
| Affects: | SYSGEN parameters CHANNELCNT and LOCKIDTBL
TDB_BLKS
| Description: | Total size (in blocks) of task group database (.TDB) files used by applications started on the local system. Add the size of a task group database once for each different application that references it.
| Default: | Sum of sizes of .TDB files referred to by local applications.
| Affects: | SYSGEN parameter GBLPAGES
TDB_CNT
| Description: | Total number of task group database (.TDB) files used by applications started on the local system. Count a task group database once for each different application that refers to it.
| Default: | Number of .TDB files referred to by local applications (from ADU DUMP APPLICATION).
| Affects: | ACMSGEN parameter WSC_POOLSIZE
|  | SYSGEN parameters CHANNELCNT, GBLPAGES, GBLPAGFIL and GBLSECTIONS
TERMINAL_CNT
| Description: | Maps to the ACMSGEN parameter which defines the maximum number of ACMS users that can be signed into ACMS through the terminal subsystem (TSC and CPs) at any one time.
| Default: | Feedback data, or the number of devices defined in ACMSDDF.DAT if $ALL is not defined, or the number of TT, RT, LT, WT, VT and OP devices on the system.
| Affects: | ACMSGEN parameters MAX_LOGINS, WSC_POOLSIZE, WS_POOLSIZE, CP_SLOTS
|  | SYSGEN parameter CHANNELCNT
|  | TSC process quotas ASTLM, BIOLM, BYTLM, PGFLQUOTA and TQELM
TERMINALS_PER_CP
| Description: | Maps to the ACMSGEN parameter which defines the maximum number of terminals handled by one Command Process (CP).
| Default: | 20
| Affects: | ACMSGEN parameters MAX_TTS_CP, MSS_MAXOBJ, and CP_SLOTS
|  | SYSGEN parameter CHANNELCNT
|  | CP process quotas FILLM, DIOLM, BIOLM, BYTLM, ASTLM, ENQLM, PGFLQUOTA, TQELM, WSDEFAULT, WSQUOTA and and WSEXTENT
TOTAL_SP_CNT
| Description: | The maximum number of server processes that can be started on the local system at any one time.
| Default: | Sum of MAXIMUM SERVER PROCESSES from .ADB files, or 5 times the total number of servers defined in local applications (if maximum server process is UNLIMITED).
| Affects: | ACMSGEN parameter MSS_MAXOBJ
TOTAL_TK_INSTANCE_CNT
| Description: | Total number of tasks running concurrently for all applications.
| Default: | Sum of MAXIMUM TASK INSTANCES from .ADB files.
| Affects: | ACMSGEN parameters MSS_POOLSIZE, TWS_POOLSIZE, TWSC_POOLSIZE,
TSC_USERNAME
| Description: | Maps to the ACMSGEN parameter TSC_USERNAME which defines the OpenVMS user name of the ACMS Terminal Subsystem Controller (TSC). The name must be enclosed in quotes or be assigned using the DCL string operator ":=".
| Default: | ACMS$TSC
| Affects: | ACMSGEN parameter TSC_USERNAME
|  | TSC user name in the system authorization file
TWS_POOLSIZE
| Description: | Variable that maps to the ACMSGEN parameter TWS_POOLSIZE which defines the size of pools in which workspaces associated with active task instances are stored. There is one task instance workspace pool for each task group in an application. The required value of TWS_POOLSIZE depends on the number of tasks in each group that will be executing concurrently, and the size of workspaces used by those tasks.
| Default: | Calculated value (see Appendix A)
| Affects: | ACMSGEN parameter TWS_POOLSIZE
|  | SYSGEN parameters GBLPAGES and GBLPAGFIL
TWSC_POOLSIZE
| Description: | Variable that maps to the ACMSGEN parameter TWSC_POOLSIZE which defines the size of pools used for control information for task instance workspaces. There is one control pool for each task instance workspace pool. The required value of TWSC_POOLSIZE depends on the number of tasks in each group that will be executing concurrently, and the number of workspaces used by those tasks.
| Default: | Calculated value (see Appendix A)
| Affects: | ACMSGEN parameter TWSC_POOLSIZE
|  | SYSGEN parameters GBLPAGES and GBLPAGFIL
WS_POOLSIZE
| Description: | Variable that maps to the ACMSGEN parameter WS_POOLSIZE which defines the size of the pool used for master copies of group and user workspaces. Each application is allocated one group/user workspace pool. The required value of WS_POOLSIZE depends on the number and size of group and user workspaces used by applications.
| Default: | Calculated value (see Appendix A)
| Affects: | ACMSGEN parameter WS_POOLSIZE
|  | SYSGEN parameters GBLPAGES and GBLPAGFIL
WSC_POOLSIZE
| Description: | Variable that maps to the ACMSGEN parameter WSC_POOLSIZE which defines the size of the pool used for control information for group and user workspaces. There is one control pool for each group/user workspace pool. The required value of WSC_POOLSIZE depends on the number of group and user workspaces used by applications.
| Default: | Calculated value (see Appendix A)
| Affects: | ACMSGEN parameter WSC_POOLSIZE
|  | SYSGEN parameters GBLPAGES and GBLPAGFIL

Previous | Next | Contents | Index